using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SudarBrojeva
{
    class Program
    {
        static void DopuniDo(ref string a, ref string b)
        {
            if (a.Length > b.Length)
            {
                b = Nule(a.Length - b.Length) + b;
            }
            else
            {
                a = Nule(b.Length - a.Length) + a;
            }
        }

        static string Nule (int n)
        {
            if (n == 0) return "";
            return "0" + Nule(n - 1); 
        }

        static string SudareniString(string a, string b, int n)
        {
            if (n == a.Length) return "";
            if (a[n] > b[n]) return a[n] + SudareniString(a, b, n + 1);
            if (a[n] < b[n]) return b[n] + SudareniString(a, b, n + 1);
            else return Convert.ToString(a[n]) + Convert.ToString(b[n]) + SudareniString(a, b, n + 1);
        }

        static void Main(string[] args)
        {
            string br1, br2;

            br1 = Console.ReadLine();
            br2 = Console.ReadLine();

            if (br1.Length != br2.Length)
            {
                DopuniDo(ref br1, ref br2);
            }

            Console.WriteLine(SudareniString(br1, br2, 0));
        }
    }
}